Changes between Version 7 and Version 8 of aspell


Ignore:
Timestamp:
12/06/2008 09:45:50 PM (14 years ago)
Author:
ken@…
Comment:

remove old problem reports : 6.3 had 0.60.5 which is ok on gcc-4.1.2.

Legend:

Unmodified
Added
Removed
Modified
  • aspell

    v7 v8  
    11= Aspell =
    2 
    3 Please login, add to this page and correct my errors!
    4 
    5 Aspell-0.60.4 has a problem compiling with gcc-4.1.0. The solution is a simple sed
    6 {{{
    7 sed -i '/;/ s,NroffFilter::,,' modules/filter/nroff.cpp
    8 }}}
    9 
    10 Confirmation for gcc-4.1.1!
    11 
    12 For a successful build I needed to change common/string_map.hpp :
    13 #include "hash.hpp"
    14 TO:
    15 #include "hash-t.hpp"
    16 
    17 (See: http://www.mail-archive.com/aspell-user%40gnu.org/msg01198.html)
    18 
    19 Aspell-0.60.5 has a problem compiling with gcc-4.3.2.  The error is:
    20 {{{
    21 In file included from ./common/indiv_filter.hpp:12,
    22                  from modules/filter/email.cpp:9:
    23 ./common/string.hpp:495: error: explicit template specialization cannot have a storage class
    24 make[1]: *** [modules/filter/email.lo] Error 1
    25 }}}
    26 However, Aspell-0.60.6 seems to work fine using the BLFS 6.3 instructions for 0.60.5.
    272
    283[wiki:GeneralLibraries Up][[br]]